#!/bin/bash 

  PNGDIR=png/
  panel1=conv_
  panel2=trho_profile_
  panel3=hr_
  panel4=Network_
  panel5=power_
  panel6=abund_
  EXT=.png
  EXT2=.jpg
  STAGE1_=2x2_
  STAGE2_=2x1_
  TMP=frames/
  COUNTER=0
  MAXCOUNTER=$(ls -l png/trho*.png | wc -l)
  echo "Number of PNG files="$MAXCOUNTER
  let MAXCOUNTER=MAXCOUNTER+256
#  cd $location
  while [  $COUNTER -lt  $MAXCOUNTER ]; do
#    let FRAME=100000+COUNTER
    printf -v FRAME "%06d" $COUNTER
    if [ ! -f $PNGDIR$panel1$FRAME$EXT ] || [ ! -f $PNGDIR$panel2$FRAME$EXT ] || [ ! -f $PNGDIR$panel3$FRAME$EXT ] || [ ! -f $PNGDIR$panel4$FRAME$EXT ] || [ ! -f $PNGDIR$panel5$FRAME$EXT ] || [ ! -f $PNGDIR$panel6$FRAME$EXT ]; then   
      echo "Skipping MISSING FRAME "$FRAME
    else 
      if [ ! -f $TMP$FRAME$EXT ]; then
        echo "Processing FRAME="$FRAME
        montage -tile 2x2 -geometry +0+0 $PNGDIR$panel3$FRAME$EXT $PNGDIR$panel4$FRAME$EXT $PNGDIR$panel5$FRAME$EXT $PNGDIR$panel6$FRAME$EXT $TMP$STAGE1$FRAME$EXT
        montage -tile x1  -geometry +0+0 $TMP$STAGE1$FRAME$EXT $PNGDIR$panel2$FRAME$EXT $TMP$STAGE2$FRAME$EXT
        montage -tile 1x  -geometry +0+0 $PNGDIR$panel1$FRAME$EXT $TMP$STAGE2$FRAME$EXT $TMP$FRAME$EXT
      else
        echo "File already processed"
      fi 
    fi
    let COUNTER=COUNTER+1
  done
  
  mencoder -fps 60 -aspect 16/10 -vf scale=2560:1600,harddup -mf type=png mf://frames/*.png -ovc x264 -oac copy -o 1Msun_2018_HQ_60fps.avi

